## xmlcopyeditor 1.3.0.0

=== mac/Makefile ===
build:
	`/usr/local/bin/wx-config --linkdeps --cxx --cxxflags --libs all` -L /usr/local/lib -I /usr/local/Cellar/libxml2/2.9.7/include/libxml2 -I /usr/include -I /usr/local/include -I /usr/include/libxml2 -I ../src -liconv -lexpat -lxml2 -lxslt -laspell.15 -lxerces-c -lpcre -o xmlcopyeditor ../src/*.cpp
bundle: Info.plist xmlcopyeditor version.plist InfoPlist.strings xmlcopyeditor.icns
	SetFile -t APPL xmlcopyeditor
	-mkdir xmlcopyeditor.app
	-mkdir xmlcopyeditor.app/Contents
	-mkdir xmlcopyeditor.app/Contents/MacOS
	-mkdir xmlcopyeditor.app/Contents/Resources
	-mkdir xmlcopyeditor.app/Contents/Resources/English.lproj
	-mkdir xmlcopyeditor.app/Contents/SharedSupport
	-mkdir xmlcopyeditor.app/Contents/Frameworks
	cp Info.plist xmlcopyeditor.app/Contents/
	cp version.plist xmlcopyeditor.app/Contents/
	cp InfoPlist.strings xmlcopyeditor.app/Contents/Resources/English.lproj/
	echo -n 'APPLxmlc' > xmlcopyeditor.app/Contents/PkgInfo
	cp xmlcopyeditor xmlcopyeditor.app/Contents/MacOS/xmlcopyeditor
	cp -R ../src/aspell xmlcopyeditor.app/Contents/SharedSupport/
	cp -R ../src/png xmlcopyeditor.app/Contents/SharedSupport/
	cp -R ../src/catalog xmlcopyeditor.app/Contents/SharedSupport/
	cp -R ../src/dtd xmlcopyeditor.app/Contents/SharedSupport/
	cp -R ../src/help xmlcopyeditor.app/Contents/SharedSupport/
	cp -R ../src/ico xmlcopyeditor.app/Contents/SharedSupport/
	cp -R ../src/rng xmlcopyeditor.app/Contents/SharedSupport/
	cp -R ../src/rulesets xmlcopyeditor.app/Contents/SharedSupport/
	cp -R ../src/templates xmlcopyeditor.app/Contents/SharedSupport/
	cp -R ../src/xpm xmlcopyeditor.app/Contents/SharedSupport/
	cp -R ../src/xsl xmlcopyeditor.app/Contents/SharedSupport/
	cp xmlcopyeditor.icns xmlcopyeditor.app/Contents/Resources/
	# process xmlcopyeditor
	for DYLIB in lib/libxml2.2 lib/libxslt.1 lib/libpcre.0 local/lib/libaspell.15 local/lib/libxerces-c-3.2 local/lib/libpng15.15 local/lib/libjpeg.8 local/lib/libtiff.5 lib/libexpat.1 lib/libz.1 lib/libiconv.2; do BASENAME=`basename /usr/$${DYLIB}.dylib`; echo "relinking $${BASENAME}"; cp /usr/$${DYLIB}.dylib xmlcopyeditor.app/Contents/Frameworks/; install_name_tool -change /usr/$${DYLIB}.dylib @executable_path/../Frameworks/$${BASENAME} xmlcopyeditor.app/Contents/MacOS/xmlcopyeditor; done
	chmod +w xmlcopyeditor.app/Contents/Frameworks/*.dylib
	#process libtiff
	for DYLIB in local/lib/libjpeg.8 lib/libz.1; do BASENAME=`basename /usr/$${DYLIB}.dylib`; echo "relinking $${BASENAME}"; install_name_tool -change /usr/$${DYLIB}.dylib @executable_path/../Frameworks/$${BASENAME} xmlcopyeditor.app/Contents/Frameworks/libtiff.5.dylib; done
	#process libxslt
	for DYLIB in lib/libxml2.2; do BASENAME=`basename /usr/$${DYLIB}.dylib`; echo "relinking $${BASENAME}"; install_name_tool -change /usr/$${DYLIB}.dylib @executable_path/../Frameworks/$${BASENAME} xmlcopyeditor.app/Contents/Frameworks/libxslt.1.dylib; done
	#process libxerces-c
	for DYLIB in lib/libcurl.4; do BASENAME=`basename /usr/$${DYLIB}.dylib`; echo "relinking $${BASENAME}"; cp /usr/$${DYLIB}.dylib xmlcopyeditor.app/Contents/Frameworks/; install_name_tool -change /usr/$${DYLIB}.dylib @executable_path/../Frameworks/$${BASENAME} xmlcopyeditor.app/Contents/Frameworks/libxerces-c-3.2.dylib; done
	#process libcurl
	for DYLIB in lib/libcrypto.35 lib/libssl.35 lib/libapple_nghttp2; do BASENAME=`basename /usr/$${DYLIB}.dylib`; echo "relinking $${BASENAME}"; cp /usr/$${DYLIB}.dylib xmlcopyeditor.app/Contents/Frameworks/; install_name_tool -change /usr/$${DYLIB}.dylib @executable_path/../Frameworks/$${BASENAME} xmlcopyeditor.app/Contents/Frameworks/libcurl.4.dylib; done
dmg:
	make -f Makefile.diskimage
clean:
	rm -f xmlcopyeditor
	rm -rf xmlcopyeditor.app/
	make -f Makefile.diskimage clean
all: clean build bundle dmg

## xmlcopyeditor 1.2.0.6

=== debian/changelog ===
xmlcopyeditor (1.2.0.6-2) unstable; urgency=low

  * Upgraded Standards-Version from 3.8.3 to 3.9.2
  * Upgraded source package to DebSrc 3
  * debian/rules: Using --with-wx-config=/usr/bin/wx-config in ./configure
  * debian/rules: Added targets build-indep and build-arch
  * Added menu file and XMP icon

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 13 Dec 2011 03:23:38 +0100

xmlcopyeditor (1.2.0.6-1) unstable; urgency=low

  * Initial release. Closes: #435888

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 15 Nov 2009 06:01:41 +0100

=== debian/control ===
Source: xmlcopyeditor
Section: devel
Priority: optional
Maintainer: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), dh-buildinfo, autotools-dev, quilt,
 libxml2-dev, libwxgtk2.8-dev, libaspell-dev, libxslt1-dev, libpcre3-dev,
 libboost-dev, libxerces-c-dev, libexpat1-dev
Standards-Version: 3.9.2
Homepage: http://xml-copy-editor.sourceforge.net/

Package: xmlcopyeditor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xmlcopyeditor-dbg (= ${binary:Version})
Description: fast, free, validating XML editor
 XML Copy Editor is an XML editor focusing on editing document markup
 languages like DITA, DocBook, WordprocessingML. It features DTD/XML
 Schema/RELAX NG validation, XSLT, XPath, pretty-printing, syntax
 highlighting, folding, tag completion/locking, and a spelling/style check.

Package: xmlcopyeditor-dbg
Section: debug
Priority: extra
Architecture: any
Depends: xmlcopyeditor (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: fast, free, validating XML editor - debug
 XML Copy Editor is an XML editor focusing on editing document markup
 languages like DITA, DocBook, WordprocessingML. It features DTD/XML
 Schema/RELAX NG validation, XSLT, XPath, pretty-printing, syntax
 highlighting, folding, tag completion/locking, and a spelling/style check.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

config: config-stamp
config-stamp: 
	dh_testdir
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) \
		--prefix=/usr \
		--datarootdir=\$${prefix}/share \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-wx-config=/usr/bin/wx-config \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="-Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined"
	touch $@

build: build-stamp
build-stamp: config
	dh_testdir
	$(MAKE)
	touch $@

build-indep:

build-arch: build

clean: config
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess config.cache config.log
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/xmlcopyeditor install

# Build architecture-independent files here.
binary-indep: install

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	chmod 664 $(CURDIR)/debian/xmlcopyeditor/usr/share/xmlcopyeditor/*/*.*
	chmod 664 $(CURDIR)/debian/xmlcopyeditor/usr/share/xmlcopyeditor/*/*/*.*
	rm `find $(CURDIR)/debian/xmlcopyeditor -name Thumbs.db`
	dh_installmenu
	dh_installman debian/xmlcopyeditor.1
	dh_link
	dh_strip --dbg-package=xmlcopyeditor-dbg
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: config build build-indep build-arch clean binary-indep binary-arch binary install

## xmlcopyeditor 1.2.0.8

=== debian/changelog ===
xmlcopyeditor (1.2.0.8-1) unstable; urgency=low

  * New upstream release. Closes: #651027
  * Upgraded Standards-Version from 3.9.2 to 3.9.3
  * Refreshed patches
  * Added new patch to fix building errors: converting pointers to integers
  * Needs debhelper (>= 9) to use dpkg-buildflags

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 06 Oct 2012 14:11:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Miriam Ruiz <little_miry@yahoo.es>
-Build-Depends: debhelper (>= 7), dh-buildinfo, autotools-dev, quilt,
+Build-Depends: debhelper (>= 9), dh-buildinfo, autotools-dev, quilt,
  libxml2-dev, libwxgtk2.8-dev, libaspell-dev, libxslt1-dev, libpcre3-dev,
  libboost-dev, libxerces-c-dev, libexpat1-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://xml-copy-editor.sourceforge.net/
 
 Package: xmlcopyeditor

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 else
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 config: config-stamp
 config-stamp: 
@@ -30,7 +35,9 @@
 		--infodir=\$${prefix}/share/info \
 		--with-wx-config=/usr/bin/wx-config \
 		CFLAGS="$(CFLAGS)" \
-		LDFLAGS="-Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined"
+		CXXFLAGS="$(CXXFLAGS)" \
+		CPPFLAGS="$(CPPFLAGS)" \
+		LDFLAGS="$(LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined"
 	touch $@
 
 build: build-stamp
@@ -72,7 +79,9 @@
 	dh_install
 	chmod 664 $(CURDIR)/debian/xmlcopyeditor/usr/share/xmlcopyeditor/*/*.*
 	chmod 664 $(CURDIR)/debian/xmlcopyeditor/usr/share/xmlcopyeditor/*/*/*.*
-	rm `find $(CURDIR)/debian/xmlcopyeditor -name Thumbs.db`
+	chmod 755 `find $(CURDIR)/debian/xmlcopyeditor/usr/share/xmlcopyeditor/dtd/docbook/ -type d`
+	rm -rf $(CURDIR)/debian/xmlcopyeditor/usr/share/xmlcopyeditor/copying
+	sed -i 's/\r//g' $(CURDIR)/debian/xmlcopyeditor/usr/share/applications/xmlcopyeditor.desktop
 	dh_installmenu
 	dh_installman debian/xmlcopyeditor.1
 	dh_link

## xmlcopyeditor 1.2.0.9

=== debian/changelog ===
xmlcopyeditor (1.2.0.9-2) unstable; urgency=low

  * Upgraded Standards-Version from 3.9.3 to 3.9.4
  * Make package buildable in gcc 2.8. Closes: #701371
  * Added menu file. Closes: #705469

 -- Miriam Ruiz <miriam@debian.org>  Tue, 02 Jul 2013 18:19:57 +0200

xmlcopyeditor (1.2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.
  * Changed my email address to miriam@debian.org

 -- Miriam Ruiz <miriam@debian.org>  Wed, 20 Mar 2013 02:01:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: xmlcopyeditor
 Section: devel
 Priority: optional
-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Maintainer: Miriam Ruiz <miriam@debian.org>
 Build-Depends: debhelper (>= 9), dh-buildinfo, autotools-dev, quilt,
  libxml2-dev, libwxgtk2.8-dev, libaspell-dev, libxslt1-dev, libpcre3-dev,
  libboost-dev, libxerces-c-dev, libexpat1-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://xml-copy-editor.sourceforge.net/
 
 Package: xmlcopyeditor

## xmlcopyeditor 1.2.0.12

=== debian/changelog ===
xmlcopyeditor (1.2.0.12-1) unstable; urgency=medium

  * New upstream release.
  * Upgraded Standards-Version from 3.9.4 to 3.9.5
  * Refreshed patches.

 -- Miriam Ruiz <miriam@debian.org>  Wed, 29 Jan 2014 20:24:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), dh-buildinfo, autotools-dev, quilt,
  libxml2-dev, libwxgtk2.8-dev, libaspell-dev, libxslt1-dev, libpcre3-dev,
  libboost-dev, libxerces-c-dev, libexpat1-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://xml-copy-editor.sourceforge.net/
 
 Package: xmlcopyeditor
@@ -22,7 +22,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: xmlcopyeditor (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: xmlcopyeditor (= ${binary:Version}), ${misc:Depends}
 Description: fast, free, validating XML editor - debug
  XML Copy Editor is an XML editor focusing on editing document markup
  languages like DITA, DocBook, WordprocessingML. It features DTD/XML

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,8 @@
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--with-wx-config=/usr/bin/wx-config \
-		CFLAGS="$(CFLAGS)" \
-		CXXFLAGS="$(CXXFLAGS)" \
-		CPPFLAGS="$(CPPFLAGS)" \
+		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
+		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
 		LDFLAGS="$(LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined"
 	touch $@

## xmlcopyeditor 1.2.1.3

=== debian/changelog ===
xmlcopyeditor (1.2.1.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch the upstream source to use pkg-config to find the libxml2 and
    libxslt libraries (Closes: #948793, #949512).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 27 May 2020 21:47:55 +1000

xmlcopyeditor (1.2.1.3-4) unstable; urgency=medium

  * Using wxWidgets GTK 3. Closes: #933418
     - Build-Depending on libwxgtk3.0-gtk3-dev instead of libwxgtk3.0-dev
  * Upgraded Standards-Version from 4.1.4 to 4.4.0.1

 -- Miriam Ruiz <miriam@debian.org>  Wed, 21 Aug 2019 12:57:51 +0200

xmlcopyeditor (1.2.1.3-3) unstable; urgency=medium

  * Added missing build dependency on pkg-config. Closes: #916133

 -- Miriam Ruiz <miriam@debian.org>  Thu, 03 Jan 2019 11:17:10 +0100

xmlcopyeditor (1.2.1.3-2) unstable; urgency=medium

  * Make the build reproducible. Closes: #831417
  * AppStream XML files are now placed in /usr/share/metainfo/.
  * Added patches: appdata_xml.patch and appstream_metadata.patch
  * Upgraded Standards-Version from 3.9.6 to 4.1.4

 -- Miriam Ruiz <miriam@debian.org>  Tue, 22 May 2018 15:12:15 +0200

xmlcopyeditor (1.2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Upgraded to Standards-Version 3.9.6

 -- Miriam Ruiz <miriam@debian.org>  Fri, 14 Nov 2014 17:41:11 +0100

xmlcopyeditor (1.2.0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0. (Closes: #741732)

 -- Olly Betts <olly@survex.com>  Fri, 06 Jun 2014 13:01:12 +1200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Miriam Ruiz <miriam@debian.org>
-Build-Depends: debhelper (>= 9), dh-buildinfo, autotools-dev, quilt,
- libxml2-dev, libwxgtk2.8-dev, libaspell-dev, libxslt1-dev, libpcre3-dev,
- libboost-dev, libxerces-c-dev, libexpat1-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9.20160403~),
+ dh-buildinfo, automake, autoconf, libtool, autotools-dev, quilt, pkg-config,
+ libxml2-dev, libwxgtk3.0-gtk3-dev, libaspell-dev, libxslt1-dev, libpcre3-dev,
+ libboost-dev, libxerces-c-dev, libexpat1-dev, intltool (>= 0.40.0)
+Standards-Version: 4.4.0.1
 Homepage: http://xml-copy-editor.sourceforge.net/
 
 Package: xmlcopyeditor
@@ -20,7 +21,6 @@
 
 Package: xmlcopyeditor-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: xmlcopyeditor (= ${binary:Version}), ${misc:Depends}
 Description: fast, free, validating XML editor - debug

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 config-stamp: 
 	dh_testdir
 	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
+	dh_autoreconf
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
 endif
@@ -49,13 +50,18 @@
 
 build-arch: build
 
-clean: config
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp config-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f config.sub config.guess config.cache config.log
+	rm -f configure aclocal.m4 compile depcomp ltmain.sh missing install-sh
+	rm -f Makefile.in data/Makefile.in src/Makefile.in
+	rm -f m4/Makefile.in m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4
+	rm -f src/help/xmlcopyeditor.chm
 	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
+	dh_autoreconf_clean
 	dh_clean 
 
 install: build
@@ -80,14 +86,13 @@
 	chmod 664 $(CURDIR)/debian/xmlcopyeditor/usr/share/xmlcopyeditor/*/*/*.*
 	chmod 755 `find $(CURDIR)/debian/xmlcopyeditor/usr/share/xmlcopyeditor/dtd/docbook/ -type d`
 	rm -rf $(CURDIR)/debian/xmlcopyeditor/usr/share/xmlcopyeditor/copying
+	rm -rf $(CURDIR)/debian/xmlcopyeditor/usr/share/xmlcopyeditor/po/.intltool-merge-cache
 	sed -i 's/\r//g' $(CURDIR)/debian/xmlcopyeditor/usr/share/applications/xmlcopyeditor.desktop
-	dh_installmenu
 	dh_installman debian/xmlcopyeditor.1
 	dh_link
 	dh_strip --dbg-package=xmlcopyeditor-dbg
 	dh_compress
 	dh_fixperms
-#	dh_makeshlibs
 	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
 	dh_installdeb
 	dh_shlibdeps

## xmlcopyeditor 1.3.0.0

=== debian/changelog ===
xmlcopyeditor (1.3.0.0-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:37:59 +1100

xmlcopyeditor (1.3.0.0-1.1build2) noble; urgency=medium

  * No-change rebuild against libxerces-c3.2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 07:51:51 +0000

xmlcopyeditor (1.3.0.0-1.1build1) lunar; urgency=medium

  * No-change rebuild against wxwidgets 3.2.1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2023 13:42:50 +0000

xmlcopyeditor (1.3.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Transition to wxWidgets 3.2 (Closes: #1019801)

 -- Scott Talbert <swt@techie.net>  Thu, 20 Oct 2022 19:55:36 -0400

xmlcopyeditor (1.3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upgraded to Standards-Version 4.6.1.1
  * Ported XML Copy Editor to PCRE2. Added pcre2.patch. Closes: #999923
  * Removed unneeded patches: appdata_xml.patch, appstream_metadata.patch and
    pkgconfig-xml2-xslt.patch
  * Migrated to automatic debug packages. Closes: #1000171
    Thanks to Boyuan Yang <byang@debian.org>
  * Changed Upstream-Maintainer from Gerald Schmidt to Zane U. Ji

 -- Miriam Ruiz <miriam@debian.org>  Wed, 14 Sep 2022 21:55:51 +0200

=== debian/control ===
Source: xmlcopyeditor
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper (>= 9.20160403~),
 dh-buildinfo, automake, autoconf, libtool, autotools-dev, quilt, pkg-config,
 libxml2-dev, libwxgtk3.2-dev, libaspell-dev, libxslt1-dev, libpcre2-dev,
 libboost-dev, libxerces-c-dev, libexpat1-dev, intltool (>= 0.40.0)
Standards-Version: 4.6.1.1
Homepage: http://xml-copy-editor.sourceforge.net/

Package: xmlcopyeditor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast, free, validating XML editor
 XML Copy Editor is an XML editor focusing on editing document markup
 languages like DITA, DocBook, WordprocessingML. It features DTD/XML
 Schema/RELAX NG validation, XSLT, XPath, pretty-printing, syntax
 highlighting, folding, tag completion/locking, and a spelling/style check.

=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,7 @@
 	sed -i 's/\r//g' $(CURDIR)/debian/xmlcopyeditor/usr/share/applications/xmlcopyeditor.desktop
 	dh_installman debian/xmlcopyeditor.1
 	dh_link
-	dh_strip --dbg-package=xmlcopyeditor-dbg
+	dh_strip --dbgsym-migration='xmlcopyeditor-dbg (<< 1.2.1.3-4.2~)'
 	dh_compress
 	dh_fixperms
 	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo

## xmlcopyeditor 1.3.1.0

=== tests/Makefile ===
build:
	g++ -o tests-main \
	  *.cpp \
	  ../src/replace.cpp \
	  ../src/readfile.cpp
run:
	./tests-main
all: build run
clean:
	rm *.o tests-main

=== debian/changelog ===
xmlcopyeditor (1.3.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dependency on quilt: this is a '3.0 (quilt)' package.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 19 Sep 2025 13:38:06 +0200

xmlcopyeditor (1.3.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove obsolete Build-Depends: dh-buildinfo (Closes: #1088389)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 06 Dec 2024 13:25:08 +0100

xmlcopyeditor (1.3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed unneded patches: lictext.patch, appdata_xml.patch, pcre2.patch and
    wx3.2-compat.patch
  * Added -fpermissive to CFLAGS. Closes: #1073341

 -- Miriam Ruiz <miriam@debian.org>  Thu, 26 Sep 2024 21:22:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xmlcopyeditor
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Miriam Ruiz <miriam@debian.org>
+Maintainer: Miriam Ruiz <miriam@debian.org>
 Build-Depends: debhelper (>= 9.20160403~),
- dh-buildinfo, automake, autoconf, libtool, autotools-dev, quilt, pkg-config,
+ automake, autoconf, libtool, autotools-dev, pkgconf,
  libxml2-dev, libwxgtk3.2-dev, libaspell-dev, libxslt1-dev, libpcre2-dev,
  libboost-dev, libxerces-c-dev, libexpat1-dev, intltool (>= 0.40.0)
 Standards-Version: 4.6.1.1

=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,13 @@
 endif
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -fpermissive
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) -fpermissive
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 config: config-stamp
-config-stamp: 
+config-stamp:
 	dh_testdir
-	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
 	dh_autoreconf
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
@@ -60,9 +59,8 @@
 	rm -f Makefile.in data/Makefile.in src/Makefile.in
 	rm -f m4/Makefile.in m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4
 	rm -f src/help/xmlcopyeditor.chm
-	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
 	dh_autoreconf_clean
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
@@ -90,10 +88,9 @@
 	sed -i 's/\r//g' $(CURDIR)/debian/xmlcopyeditor/usr/share/applications/xmlcopyeditor.desktop
 	dh_installman debian/xmlcopyeditor.1
 	dh_link
-	dh_strip --dbgsym-migration='xmlcopyeditor-dbg (<< 1.2.1.3-4.2~)'
+	dh_strip
 	dh_compress
 	dh_fixperms
-	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
@@ -101,4 +98,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: config build build-indep build-arch clean binary-indep binary-arch binary install 
+.PHONY: config build build-indep build-arch clean binary-indep binary-arch binary install
